### Class

# Ide LspWorkspaceEdit

#### Description

    final class Ide.LspWorkspaceEdit : GObject.Object {
      /* No available fields */
    }

No description available.

#### Ancestors

- GObject

#### Constructors

###### ide_lsp_workspace_edit_new

No description available.

#### Instance methods

###### ide_lsp_workspace_edit_get_edits

Returns the list of text edits that this workspace edit contains.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject.Object::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct IdeLspWorkspaceEditClass {
      GObjectClass parent_class;

    }

###### Class members

`parent_class` |
    GObjectClass
| No description available.